RPM-COMMON(8)

NAMN
rpm-common — Åtgärder och flaggor gemensamma för de huvudsakliga rpm(8)-programmen

SYNOPSIS
RPMKMD [flaggor] {-?|--help}

RPMKMD [flaggor] --showrc

RPMKMD [flaggor] --version

BESKRIVNING
Följande körbara RPMKMD delar den gemensamma konfigurationen samt flaggorna och åtgärderna som dokumenteras i denna manual:
•   rpm(8)
•   rpmdb(8)
•   rpmkeys(8)
•   rpmbuild(1)
•   rpmsign(1)
•   rpmspec(1)

ÅTGÄRDER
-?, --help
    Skriv ett längre användningsmeddelande än normalt.

--version
    Skriv en ensam rad som innehåller versionsnumret på den rpm som används.

--showrc
    Skriv ut information om rpm-konfigurationen till standard ut.

FLAGGOR
--color <LÄGE>
    Använd terminalfärger för att markera fel och felsökningsmeddelanden, där LÄGE är en av:
    •   always
    •   auto (använd färgutmatning på terminaler)
    •   never (standard)

--dbpath KATALOG
    Använd databasen i KATALOG istället för standardsökvägen /var/lib/rpm.

-D 'MAKRO UTTR', --define='MAKRO UTTR'
    Definierar MAKRO med värdet UTTR.

-E 'UTTR', --eval='UTTR'
    Skriver ut rpm-macros(7)-expansionen av UTTR.

--load FIL
    Ladda en enskild rpm-macrofile(5).

--macros FILLISTA
    Ersätt listan med makrofiler som skall laddas med FILLISTA. Se Makrokonfiguration för detaljer.

--nodigest
    Verifiera inte paketets eller huvudets kontrollsummor vid läsning.

--nohdrchk
    Verifiera inte databashuvuden när de hämtas.

--nosignature
    Verifiera inte paketets eller huvudets signaturer vid läsning.

--pipe KMD
    Skickar utdata från rpm i ett rör till kommandot KMD.

--predefine='MAKRO UTTR'
    Definerar MAKRO med värdet UTTR före makrofiler laddas. Detta är en väldigt sällsynt specialanvändningsflagga, använd --define för de vanliga behoven av makrodefinitioner.

--target PLATTFORM
    Använd konfigurationen PLATTFORM istället för att upptäcka den automatiskt. PLATTFORM har formen ark[-os].

--quiet
    Skriv så lite som möjligt — normalt kommer endast felmeddelanden visas.

--rcfile FILLISTA
    Ersätt standardlistan med konfigurationsfiler som skall läsas med FILLISTA. Se rpmrc-konfiguration för detaljer.

--root KATALOG
    Använd filsystemsträdet med rot i KATALOG för alla åtgärder. Observera att detta betyder att databasen i KATALOG kommer användas för beroendekontroller och skript (t.ex. %post vid installation, eller %prep vid bygge, av ett paket) kommer köras efter att ha gjort chroot(2) till KATALOG.

    Observera att rpm antar att miljön inuti roten är uppsatt av anroparen, såsom eventuella monteringar som behövs för åtgärden inuti rotkatalogen.

--undefine='MAKRO'
    Avdefinierar MAKRO.

-v, --verbose
    Skriv utförlig information — normalt kommer rutinmässiga förloppsmeddelanden visas. Ge mer än en gång för att öka utförligheten, t.ex. -vv.

FELSÖKNINGSFLAGGOR
--debug
    Skriv mängder av felsökningsinformation.

--fsmdebug
    Skriv felsökningsinformation om hanteringen av lasten.

--rpmiodebug
    Skriv felsökningsinformation om fil-IO.

--stats
    Skriv körtidsstatistik för ofta använda funktioner.

FTP-/HTTP-FLAGGOR
Dessa flaggor är föråldrade. Använd program särskilt för ändamålet såsom curl(1) eller wget(1) för att hämta data från internet.

För några åtgärder kan rpm fungera som en FTP- och/eller HTTP-klient så att paket kan frågas om eller installeras från internet. Paketfiler för installations-, uppgraderings- och frågeåtgärder kan anges som en URL av formen ftp eller http:

http://VÄRD[:PORT]/sökväg/till/paket.rpm

ftp://[ANVÄNDARE:LÖSENORD]@VÄRD[:PORT]/sökväg/till/paket.rpm

Om både användaren och lösenordet utelämnas används anonym ftp.

rpm accepterar följande flaggor att användas med http- och ftp-URL:ar:

--httpproxy VÄRD
    Använd VÄRD som proxyservern för alla http- och ftp-överföringar. Denna flagga kan även anges genom att konfigurera makrot %_httpproxy.

--httpport PORT
    TCP-PORT-numret att använda till http-anslutningen på proxy-http-servern istället för standardporten. Denna flagga kan även anges genom att konfigurera makrot %_httpport.

MILJÖ
RPM_CONFIGDIR
    Används för att åsidosätta standardkonfigurationshemmet för rpm, typiskt /usr/lib/rpm.

SLUTSTATUS
Om det gick bra returneras 0, annars en nollskild felkod.

FEL
Alla flaggor är inte meningsfulla eller implementerade i alla program de visas i. Speciellt tas endast hänsyn till --root och de olika verifieringsrelaterade flaggorna av rpm(8) och rpmdb(8).

FILER

  Databas

    /var/lib/rpm/

  Tillfällig

    /var/tmp/rpm*

SE ÄVEN
popt(3), rpm(8) rpm-config(5), rpm-rpmrc(5), rpm-macros(7)

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.